﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

[RequireComponent (typeof(Text))]
public class GameManagerScript : MonoBehaviour
{
	public GameObject Wall;
	public int Score = 0;
	public Text TextScore;

	void Start ()
	{
		StartCoroutine (Wave ());
	}

	IEnumerator Wave ()
	{
		// Start Wait
		yield return new WaitForSeconds (1);
		while (true) {
			int waveCount = 10;
			for (int i = 0; i < waveCount; i++) {
				float y = Random.Range (0.5f, 3.5f);
				var pos = new Vector3 (20, y, 0);
				Instantiate (Wall, pos, Quaternion.identity);
				yield return new WaitForSeconds (1);
			}

			// Wave Wait.
			yield return new WaitForSeconds (2);
		}
	}

	public void AddScore (int point)
	{
		Score += point;
		UpdateUI ();
	}

	void UpdateUI ()
	{
		TextScore.text = "スコア: " + Score;
	}
}
